mod cmd;
mod error;
mod mount;
mod pack;
mod builder;
mod types;

pub use error::RfsError;
pub use builder::{RfsBuilder, PackBuilder};
pub use types::{Mount, MountType, StoreSpec};
pub use mount::{list_mounts, unmount_all, unmount, get_mount_info};
pub use pack::{pack_directory, unpack, list_contents, verify};

// Re-export the execute_rfs_command function for use in other modules
pub(crate) use cmd::execute_rfs_command;